Subject: Re: USB driver for MPC850/823

From: "Richard Hendricks" <[email-masked]>
Date: Thu, 09 Mar 2000 09:34:02 -0600

Dan Malek wrote:
>
> Just make sure kmalloc() gives you something that is properly
> aligned, as some CPM functions have rather large alignment boundaries.
> When allocated in this way, you have to chase down the pte's and modify
> the cache attributes yourself if desired.

The most famous case of this is the IDMA buffer descriptors.  Unlike
everything elses buffer descriptors, the IDMA buffer descriptors must be
16 byte aligned, not 8.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/